Get Events
Retrieves team events. If the result’s GetTeamEventsResult.has_more field is
true, call get_events/continue with the returned cursor to retrieve
more entries. If end_time is not specified in your request, you may use the returned cursor to
poll get_events/continue for new events.
Many attributes note ‘may be missing due to historical data gap’.
Note that the file_operations category and & analogous paper events are not available on all Dropbox Business plans /business/plans-comparison. Use features/get_values /developers/documentation/http/teams#team-features-get_values to check for this feature.
Permission : Team Auditing.
Required scope: events.read
Endpoint format: RPC
Authentication: Team
Authentication
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.
Obtain via the authorization code flow with team-scoped permissions.
Grants access to team-wide administrative operations.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Request
Filter the events by account ID. Return only events with this account_id as either Actor, Context, or Participants.
Filter the returned events to a single category. Note that category shouldn’t be provided together with event_type.
Filter the returned events to a single event type. Note that event_type shouldn’t be provided together with category.
(admin_alerting) Changed an alert state
The maximal number of results to return per call. Note that some calls may not return
limit number of events, and may even return no events, even with has_more set to true.
In this case, callers should fetch again using get_events/continue.
Response headers
Response
Pass the cursor into get_events/continue to obtain additional events.
The value of cursor may change for each response from get_events/continue,
regardless of the value of has_more; older cursor strings may expire.
Thus, callers should ensure that they update their cursor based on the latest value of
cursor after each call, and poll regularly if they wish to poll for new events.
Callers should handle reset exceptions for expired cursors.
Is true if there may be additional events that have not been returned yet.
An additional call to get_events/continue can retrieve them.
Note that has_more may be true, even if events is empty.